Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.jms
Class CometdProducer

    java.lang.Object
      org.mortbay.cometd.jms.CometdProducer

    public class CometdProducer

extends Object

Constructor Summary
`CometdProducer()`

Method Summary
`void` | `close()`
`int` | `getDeliveryMode()`
`Destination` | `getDestination()`
`boolean` | `getDisableMessageID()`
`boolean` | `getDisableMessageTimestamp()`
`int` | `getPriority()`
`long` | `getTimeToLive()`
`Topic` | `getTopic()`
`void` | `publish(Message message)`
`void` | `publish(Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `publish(Topic topic, Message message)`
`void` | `publish(Topic topic, Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `send(Destination destination, Message message)`
`void` | `send(Destination destination, Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `send(Message message)`
`void` | `send(Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `setDeliveryMode(int deliveryMode)`
`void` | `setDisableMessageID(boolean value)`
`void` | `setDisableMessageTimestamp(boolean value)`
`void` | `setPriority(int defaultPriority)`
`void` | `setTimeToLive(long timeToLive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdProducer

    public CometdProducer()

Method Detail

### getTopic

    public Topic getTopic()
                   throws JMSException

  Throws:
    `JMSException`

### publish

    public void publish(Message message)
                 throws JMSException

  Throws:
    `JMSException`

### publish

    public void publish(Topic topic,
                        Message message)
                 throws JMSException

  Throws:
    `JMSException`

### publish

    public void publish(Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Throws:
    `JMSException`

### publish

    public void publish(Topic topic,
                        Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### getDeliveryMode

    public int getDeliveryMode()
                        throws JMSException

  Throws:
    `JMSException`

### getDestination

    public Destination getDestination()
                               throws JMSException

  Throws:
    `JMSException`

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws JMSException

  Throws:
    `JMSException`

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws JMSException

  Throws:
    `JMSException`

### getPriority

    public int getPriority()
                    throws JMSException

  Throws:
    `JMSException`

### getTimeToLive

    public long getTimeToLive()
                       throws JMSException

  Throws:
    `JMSException`

### send

    public void send(Message message)
              throws JMSException

  Throws:
    `JMSException`

### send

    public void send(Destination destination,
                     Message message)
              throws JMSException

  Throws:
    `JMSException`

### send

    public void send(Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  Throws:
    `JMSException`

### send

    public void send(Destination destination,
                     Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  Throws:
    `JMSException`

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)
                         throws JMSException

  Throws:
    `JMSException`

### setDisableMessageID

    public void setDisableMessageID(boolean value)
                             throws JMSException

  Throws:
    `JMSException`

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean value)
                                    throws JMSException

  Throws:
    `JMSException`

### setPriority

    public void setPriority(int defaultPriority)
                     throws JMSException

  Throws:
    `JMSException`

### setTimeToLive

    public void setTimeToLive(long timeToLive)
                       throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.